#
# spec file for package phonon4qt5-backend-vlc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           phonon4qt5-backend-vlc
Version:        0.9.0
Release:        3.3
Summary:        Phonon VLC Backend
License:        LGPL-2.1+
Group:          Development/Libraries/KDE
Url:            http://phonon.kde.org/
%define filename phonon-backend-vlc
%define _phonon4qt5_version 4.7.0
Source:         http://download.kde.org/stable/phonon/%{filename}/%{version}/%{filename}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM fix-build-with-older-phonon.patch -- Fix build against older phonon versions
Patch:          fix-build-with-older-phonon.patch
BuildRequires:  alsa-devel
BuildRequires:  cmake
BuildRequires:  kf5-filesystem
BuildRequires:  pkgconfig
BuildRequires:  vlc-devel >= 2.1.0
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(phonon4qt5) >= %{_phonon4qt5_version}
Requires:       libphonon4qt5 => %{_phonon4qt5_version}
Requires:       vlc-noX >= %( echo `rpm -q --queryformat '%{VERSION}' vlc-devel`)
Conflicts:      vlc-noX >  %( echo `rpm -q --queryformat '%{VERSION}' vlc-devel | cut -f -2 -d .`.99)
Provides:       phonon4qt5-backend = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Phonon is a cross-platform portable Multimedia Support Abstraction,
which allows you to play multiple audio or video formats with the same
quality on all platforms, no matter which underlying architecture is
used.

This is the VLC backend for Phonon

%prep
%setup -q -n phonon-vlc-%{version}
%patch -p1

%build
  %cmake_kf5 -d build -- -DPHONON_BUILD_PHONON4QT5=ON
  %make_jobs

%install
  %kf5_makeinstall -C build

%post
%{_libdir}/vlc/vlc-cache-gen -f %{_libdir}/vlc/plugins

%files
%defattr(-,root,root)
%doc COPYING.LIB AUTHORS
%dir %{_kf5_plugindir}/phonon4qt5_backend
%{_kf5_plugindir}/phonon4qt5_backend/phonon_vlc.so

%changelog
* Fri May 13 2016 wbauer@tmo.at
- Require VLC 2.1.0 at least for building, support for 2.0.x has
  been removed upstream
* Mon May  9 2016 wbauer@tmo.at
- Added fix-build-with-older-phonon.patch to fix building against
  older phonon versions
- Also change required phonon4qt5 version back to 4.7.0, it doesn't
  need a higher one to build successfully
* Tue Apr 19 2016 hrvoje.senjan@gmail.com
- Update to 0.9.0
  * No changelog provided
* Mon Apr  4 2016 wbauer@tmo.at
- Conflict with newer VLC versions to prevent problems or even
  crashes (boo#968905)
* Thu Dec 11 2014 hrvoje.senjan@gmail.com
- Update to 0.8.2:
  * Fix compilation with Qt 5.2.0
* Wed Nov  5 2014 hrvoje.senjan@gmail.com
- Update to 0.8.1:
  * Code style improvements.
  * VLC 2.2 compatibility - VLC 2.2 changed the time when
    PulseAudio streams are constructed, rendering the Phonon
    PulseSupport non-functional as it injects stream-dependent
    properties through the environment which needs to happen close
    to stream creation to avoid timing issues. The changed stream
    creation time makes it impossible to provide high-level
    PulseAudio control while also allowing Phonon applications to
    construct multiple AudioOutputs in a very short time frame.
    To allow core functionality from working under these
    circumstances Phonon PulseSupport integration is disabled
    when built against VLC >= 2.2 leading to the following
    known regressions:
    Changing the volume through the PulseAudio stream itself
    is not propagated to Phonon AudioOutputs, meaning the
    application can not reflect volume changes done through
    other applications (e.g. a volume mixer).
    Changing the muteness through the PulseAudio stream is
    not propagated either.
    The PulseAudio media.role property (as well as derived
    properties) is always set to 'video' making all Phonon
    application use the video category for output device
    selection (e.g. as seen in the Phonon KCM).
  * Revised the logic used to come up with an icon name for
    libvlc. If the application has QApplication::windowIcon
    set with an QIcon constructed through QIcon::fromTheme(string)
    the actual icon name will be used.
    Otherwise the lower-case version of
    QCoreApplication::applicationName is used.
  * Setting the libvlc app id is now only dependent on
    QCoreApplication::applicationName being set (previously
    it was also dependent on QCoreApplication::applicationVersion).
    This change was made to accomodate the fact that most
    applications neglect to set a version.
- Bump phonon4qt5 (Build)Requires to 4.8.2
* Sun Oct 19 2014 hrvoje.senjan@gmail.com
- Update to 0.8.0
  * Version bump
* Tue Aug 12 2014 hrvoje.senjan@gmail.com
- Update to 0.7.80
  * 0.8 beta: PA interaction improvements, documentation fixes and
    standard bugfixes
- Bump phonon (Build)Requires to 4.7.80
* Tue Jul  8 2014 hrvoje.senjan@gmail.com
- Refresh vlc plugin in %%post (https://trac.videolan.org/vlc/ticket/9807)
* Fri Jun 20 2014 hrvoje.senjan@gmail.com
- Update to 0.7.2
  * Bugfix release, no changelog provided
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Adjust filelists to kf5-filesystem changes
* Mon Feb 24 2014 hrvoje.senjan@gmail.com
- Added pkgconfig(Qt5Core), pkgconfig(Qt5Gui) and pkgconfig(Qt5Widgets)
  BuildRequires instead of relying on phonon4qt5-devel Requires
* Wed Feb 19 2014 hrvoje.senjan@gmail.com
- Activate phonon4qt5-backend-vlc package (built against/for
  phonon4qt5). Changes based on phonon-backend-vlc for
  preserving history
- Move to kf5-filesystem, instead of kde4 one
* Fri Dec  6 2013 hrvoje.senjan@gmail.com
- Update to 0.7.1:
  * Bugfix release, no changelog provided
- Bump required phonon version to 4.7.1
- Fix Source URL
* Tue Nov 19 2013 hrvoje.senjan@gmail.com
- Relax vlc-noX requirement, for making it easier to install VLC from
  alternative repositories (bnc#851063)
* Mon Nov  4 2013 hrvoje.senjan@gmail.com
- Update to official 0.7.0 release
  * No source changes since last update
- Add Source URL
* Mon Nov  4 2013 hrvoje.senjan@gmail.com
- Update to 0.7.0~git20131104
  * Buildsystem fixes since previous snapshot
  * Version bump to 0.7.0
* Sun Oct  6 2013 hrvoje.senjan@gmail.com
- Make phonon-backend-vlc require exact vlc-noX package version
  as vlc version it was compiled against
* Mon Sep 30 2013 hrvoje.senjan@gmail.com
- Update to 0.6.80~git20130930
  * do not release and allocate media_t on audiocd track change
  * do not reset autoplay as applications can set that any time
  * implement attemptautoplay mechanic
* Mon Sep 16 2013 hrvoje.senjan@gmail.com
- Explicitly require current libphonon4 version (4.6.80~git20130915)
* Sun Sep 15 2013 hrvoje.senjan@gmail.com
- Update to 0.6.80~git20130915
  * Snapshot of soon to be released 0.7 version
  * Various improvements, bugfixes, API aditions, documentation fixes
  * Qt5 support
  * Support for vlc's equalizer, when built with vlc >= 2.2
* Sun Apr  7 2013 tittiatcoke@gmail.com
- Initial package for the Phonon VLC backend (0.6.2)
